Subject: Re: bug#68600: 30.0.50; Bad mode hook docstring when mode-line constructs are present in the mode-name

From: Stefan Monnier <[email-masked]>
Date: Sat, 20 Jan 2024 23:11:38 -0500

>> "Hook run after entering ‘example-lisp-mode’."
> This is also consistent with the minor mode hook docstring code,

Thanks, pushed, closing.

> The sole difference being %S vs %s -- I figure that should be
> consistent one way or the other?

%s is for use to include the contents of a string.  In the current case
we're including a symbol.  For symbols %s and %S behave identically,
tho, so it doesn't matter very much.  I do think %S is the better option
(e.g. it will make it clear if/when the arg is a string rather than
a symbol, for example, since it will put "..." around the contents), but
it's not important enough to go and change the `easy-mmode.el` code.

        Stefan